summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/testactivationraces.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/testactivationraces.sh b/tests/testactivationraces.sh
index e95e7c84..216342c0 100755
--- a/tests/testactivationraces.sh
+++ b/tests/testactivationraces.sh
@@ -7,22 +7,22 @@ TMPDIR=/tmp/gconftestactivationraces
mkdir $TMPDIR
-/bin/rm $TMPDIR/*
+/bin/rm $TMPDIR/* || true
for I in `seq 1 $COUNT`; do
TMPFILE=`mktemp $TMPDIR/SET.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --type=int --set /test/foo $I &
+ gconftool --type=int --set /test/foo $I &
TMPFILE=`mktemp $TMPDIR/SHUTDOWN.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --shutdown &
+ gconftool --shutdown &
TMPFILE=`mktemp $TMPDIR/GET.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --get /test/foo &
+ gconftool --get /test/foo &
TMPFILE=`mktemp $TMPDIR/SHUTDOWN2.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --shutdown &
+ gconftool --shutdown &
done
for I in `seq 1 $COUNT`; do
TMPFILE=`mktemp $TMPDIR/SET2.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --type=int --set /test/foo $I &
+ gconftool --type=int --set /test/foo $I &
TMPFILE=`mktemp $TMPDIR/SHUTDOWN3.$I.XXXXXX` || exit 1
- strace -o $TMPFILE gconftool --shutdown &
+ gconftool --shutdown &
done